Bug 1298298 - issues when calculating the sum of a value in a consolidated report
issues when calculating the sum of a value in a consolidated report
Status: CLOSED NEXTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.4.0
All All
medium Severity medium
: GA
: 5.4.6
Assigned To: Libor Pichler
Niyaz Akhtar Ansari
report
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 11:53 EST by Felix Dewaleyne
Modified: 2018-05-29 04:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 07:43:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
report_cf32.yaml (2.01 KB, text/x-vhdl)
2016-01-13 11:53 EST, Felix Dewaleyne
no flags Details
newtestreport.yaml (1.13 KB, text/x-vhdl)
2016-02-10 12:17 EST, Felix Dewaleyne
no flags Details

  None (edit)
Description Felix Dewaleyne 2016-01-13 11:53:14 EST
Created attachment 1114467 [details]
report_cf32.yaml

Description of problem:
issues when calculating the sum of a value in a consolidated report : the total (total true) of a numeric value in a report created under 5.4.0.13 will always be 0 

Version-Release number of selected component (if applicable):
5.4.0.13

How reproducible:
all the time

Steps to Reproduce:
1. create a new report on vms & templates
2. select os name, number of cpus, disk space and other nuerical values
3. consolidate the report by os name and calculate the total of all the other values

Actual results:
the totals will always be shown as being 0

Expected results:
the sums are correctly computed

Additional info:
does not happen in cloudforms 4.0 (5.5)
Comment 5 Felix Dewaleyne 2016-02-10 12:17 EST
Created attachment 1122849 [details]
newtestreport.yaml

attaching a new test report that also triggers the issue. Remember this is a cfme 5.4 (cloudforms 3.2) bug, not a cfme 5.5 bug.

Note You need to log in before you can comment on or make changes to this bug.